package com.gic.haoban.manage.web.qo.welcome;

import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * desc：保存加好友配置qo
 *
 * @author: YongEn
 * @date: 2022/2/9
 **/
public class SaveFriendSettingQO implements Serializable {
    private static final long serialVersionUID = 6560502831024559400L;
    /**
     * 加好友配置id
     */
    private Long friendSettingId;
    /**
     * 微信企业id
     */
    @NotEmpty(message = "微信企业id不能为空")
    private String wxEnterpriseId;
    /**
     * 欢迎语配置类型 ：
     * 1 发送好办欢迎语文案+小程序卡片(附带导购参数)
     * 2 发送好办欢迎语文案+公众号二维码(附带导购参数)
     * 3 发送好办欢迎语文案
     * 4 不发送好办欢迎语，用企微欢迎语
     */
    @NotNull(message = "加好友配置类型不能为空")
    private Integer friendSettingType;

    public Long getFriendSettingId() {
        return friendSettingId;
    }

    public void setFriendSettingId(Long friendSettingId) {
        this.friendSettingId = friendSettingId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Integer getFriendSettingType() {
        return friendSettingType;
    }

    public void setFriendSettingType(Integer friendSettingType) {
        this.friendSettingType = friendSettingType;
    }

    @Override
    public String toString() {
        return "SaveFriendSettingQO{" +
                "friendSettingId=" + friendSettingId +
                ", wxEnterpriseId='" + wxEnterpriseId + '\'' +
                ", friendSettingType=" + friendSettingType +
                '}';
    }
}
